function macro.init()
  startTime = time.getNow()
end
 
local counter = 0;
function macro.main(dt)
  
  counter = counter +1;
  if( time.diff(time.getNow(),startTime) > 15 ) then
    print("15 seconds have elapsed.");
	print(counter);
    startTime = time.getNow(); -- Now reset it
	return false;
  end
end
function macro.event(e, data1, data2, data3)

end